org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetGroupBridgeUniConstraintStream<Solution_,A,GroupKey_,ResultContainer_,Result_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream<Solution_>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniConstraintStream<Solution_,A>
      - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetGroupBridgeUniConstraintStream<Solution_,A,GroupKey_,ResultContainer_,Result_>

- All Implemented Interfaces:
    ConstraintStream, UniConstraintStream<A>, InnerUniConstraintStream<A>

      public final class BavetGroupBridgeUniConstraintStream<Solution_,A,GroupKey_,ResultContainer_,Result_>
      extends BavetAbstractUniConstraintStream<Solution_,A>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniConstraintStream

      `childStreamList`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetGroupBridgeUniConstraintStream(BavetConstraintFactory<Solution_> constraintFactory, BavetAbstractUniConstraintStream<Solution_,A> parent, Function<A,GroupKey_> groupKeyMapping, UniConstraintCollector<A,ResultContainer_,Result_> collector)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createChildNodeChains(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractUniNode<A> node)`
    `protected BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_>` | `createNode(BavetNodeBuildPolicy<Solution_> buildPolicy, Score<?> constraintWeight, int nodeOrder, BavetAbstractUniNode<A> parentNode)`
    `List<BavetFromUniConstraintStream<Solution_,Object>>` | `getFromStreamList()`
    `void` | `setGroupStream(BavetGroupBiConstraintStream<Solution_,GroupKey_,ResultContainer_,Result_> groupStream)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniConstraintStream

      `addChildStream, createNodeChain, filter, groupBy, groupBy, groupBy, groupBy, groupBy, impactScore, impactScore, impactScoreBigDecimal, impactScoreConfigurable, impactScoreConfigurable, impactScoreConfigurableBigDecimal, impactScoreConfigurableLong, impactScoreLong, join, processNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractConstraintStream

      `buildConstraint, buildConstraintConfigurable, getConstraintFactory`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, penalize, penalizeConfigurable, reward, rewardConfigurable, validateConstraintId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.uni.InnerUniConstraintStream

      `penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.uni.UniConstraintStream

      `join, join, join, join, join, join, join, penalize, penalizeBigDecimal, penalizeConfigurable, penalizeConfigurableBigDecimal, penalizeConfigurableLong, penalizeLong, reward, rewardBigDecimal, rewardConfigurable, rewardConfigurableBigDecimal, rewardConfigurableLong, rewardLong`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `getConstraintFactory, penalize, penalize, penalizeConfigurable, penalizeConfigurable, reward, reward, rewardConfigurable, rewardConfigurable`

- - ### Constructor Detail

    - #### BavetGroupBridgeUniConstraintStream

          public BavetGroupBridgeUniConstraintStream(BavetConstraintFactory<Solution_> constraintFactory,
                                                     BavetAbstractUniConstraintStream<Solution_,A> parent,
                                                     Function<A,GroupKey_> groupKeyMapping,
                                                     UniConstraintCollector<A,ResultContainer_,Result_> collector)

  - ### Method Detail

    - #### setGroupStream

          public void setGroupStream(BavetGroupBiConstraintStream<Solution_,GroupKey_,ResultContainer_,Result_> groupStream)

    - #### getFromStreamList

          public List<BavetFromUniConstraintStream<Solution_,Object>> getFromStreamList()

      Specified by:
        `getFromStreamList` in class `BavetAbstractConstraintStream<Solution_>`

    - #### createNode

          protected BavetGroupBridgeUniNode<A,GroupKey_,ResultContainer_,Result_> createNode(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                                                                             Score<?> constraintWeight,
                                                                                             int nodeOrder,
                                                                                             BavetAbstractUniNode<A> parentNode)

      Specified by:
        `createNode` in class `BavetAbstractUniConstraintStream<Solution_,A>`

    - #### createChildNodeChains

          protected void createChildNodeChains(BavetNodeBuildPolicy<Solution_> buildPolicy,
                                               Score<?> constraintWeight,
                                               int nodeOrder,
                                               BavetAbstractUniNode<A> node)

      Overrides:
        `createChildNodeChains` in class `BavetAbstractUniConstraintStream<Solution_,A>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.